* { padding: 0; margin: 0; box-sizing: border-box; }

@font-face {
    font-family: "ploni-regular";
    src: url("./fonts/PloniDL1.1AAA-Regular.ttf");
}
@font-face {
    font-family: "ploni-bold";
    src: url("./fonts/PloniDL1.1AAA-Bold.ttf");
}
@font-face {
    font-family: "ploni-demibold";
    src: url("./fonts/PloniDL1.1AAA-D-Bold.ttf");
}
@font-face {
    font-family: "ploni-light";
    src: url("./fonts/PloniDL1.1AAA-Light.ttf");
}
@font-face {
    font-family: "bmw-outline";
    src: url("./fonts/BMWMotorradOutline-Regular.ttf");
}
@font-face {
    font-family: "bmw-light";
    src: url('./fonts/BMWMotorradW05-Light.ttf');
}
@font-face {
    font-family: "bmw-bold";
    src: url('./fonts/BMWMotorradW05-Bold.ttf');
}
@font-face {
    font-family: "bmw-bold-italic";
    src: url('./fonts/bmwmotorradbolditalic.ttf');
}


html,
body {
    line-height: 1.1;
    font-family: "ploni-regular", sans-serif;
    direction: rtl;
}
.main {
    width: 100vw;
    height: 100svh;
    min-height: calc(100vw * 720 / 1920);
    max-height: calc(100vw * 950 / 1920);
    display: grid;
    grid-template-columns: auto 1fr;
    grid-template-rows: 1fr auto;
}
.right {
    background: black;
    height: 100%;
    aspect-ratio: 1413 / 886;
    background-image: url('./images/d.jpg');
    background-size: 100% 100%;
    container-type: size;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.right-top {
    display: flex;
    flex-direction: column;
}
.logo-container {
    display: flex;
    justify-content: flex-end;
    padding: 1cqw;
}
.logo {
    width: 7.759cqw;
}
.right-center {
    align-self: flex-end;
    color: white;
    width: fit-content;
    clip-path: polygon(0 0, 100% 0%, 90% 100%, 0 100%);
    background-color: #000000b8; 
    padding: 3cqw 5cqw;
    text-align: left;
}
.t1 {
    font-family: "ploni-bold", sans-serif;
    font-size: 5cqw;
    line-height: 0.9;
}
.t2 {
    font-family: "bmw-outline", sans-serif;
    font-size: 8cqw;
}
.line {
    width: 25cqw;
    padding: 2cqw 0 0.5cqw 0;
}
.t3 {
    font-family: "ploni-bold", sans-serif;
    font-size: 2.2cqw;
    line-height: 1;
}
.t4 {
    font-family: "ploni-light", sans-serif;
    font-size: 2.2cqw;
    line-height: 1;
}
.right-bottom {
    display: flex;
    padding: 1cqw 3cqw;
}
.item {
    position: relative;
    color: white;
    padding: 1.5cqw 1cqw;
    clip-path: polygon(5% 0, 100% 0%, 95% 100%, 0 100%);
    background-color: #000000b8; 
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    text-align: center;
    z-index: 1;
    flex:  0 0 15%;
    gap: 0.5cqw;
    font-size: 1.5cqw;
}
.item-blue {
    width: 50%;
    position: absolute;
    height: 0.5cqw;
    top: 0;
    background: #0069b5;
    z-index: 3;
}
.item-image {
    height: 3cqw;
}
.strip {
    width: 100%;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.strip img {  width: 30%; }
.left {
    width: 100%;
    grid-row: 1 / 3;
    grid-column: 2;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0 1vw;
}
.form {
    display: flex;
    flex-direction: column;
    max-width: 25vw;
    gap: 0.75vw;
}
.form-title {
    font-family: "ploni-light";
    font-size: 1.406vw;
    line-height: 1;
    text-align: center;
}
.input {
    font-family: "ploni-light";
    font-size: 1.25vw;
    padding: 0.5vw;
    border: 1px solid #919191;
    background: white;
}
.input::placeholder {
    color: #919191;
}
.checkbox {
    font-size: 0.938vw;
    display: flex;
    gap: 0.5vw;
    letter-spacing: -1%;
    color: #919191;
}
.submit {
    font-family: "ploni-light";
    font-size: 1.563vw;
    padding: 0.5vw;
    background: #1D6BB3;
    border: 0;
    color: white;
    cursor: pointer;
}
.form-terms {
    color: #919191;
    text-align: center;
    font-size: 0.938vw;
}
.links {
    display: flex;
    padding: 1vw 0;
    justify-content: space-between;
}
.links a {
    font-size: 0.938vw;
    color: #919191;
}
.desktop { display: inherit }
.mobile { display: none }
.error { outline: tomato; }
.error::placeholder { color: tomato; }

.dialog {
    position: fixed;
    background: #ffffff;
    color: black;
    border: 0;
    border-radius: 1vw;
    direction: rtl;
    margin: auto;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    padding: 1vw;
}
.dialog-close {
    background: none;
    padding: 1vw;
    font-size: 2vw;
    border: none;
    cursor: pointer;
}
.dialog img {
    width: fit-content;
    max-width: 100%;
}

@media (max-width: 768px){

    .main {
        display: flex;
        flex-direction: column;
        height: unset;
        max-height: unset;
        min-height: unset;
    }
    .right {
        width: 100%;
        height: unset;
        aspect-ratio: 640 / 1034;
        container-type: unset;
        background-image: url('./images/m.jpg');
        justify-content: flex-start;
    }
    .right-top {
        gap: 2vw;
    }
    .logo-container {
        padding: 3vw;
    }
    .logo {
        width: 20.271vw;
    }
    .t1 {
        font-size: 6.531vw;
    }
    .t2 {
        font-size: 11vw;
    }
    .line {
        width: 45vw;
    }
    .t3 {
        font-size: 4vw;
    }
    .t4 {
        font-size: 4vw;
    }
    .right-center {
        padding: 3vw 9vw;
    }
    .right-bottom {
        flex: 1;
        justify-content: center;
        align-items: end;
        padding: 2vw 1vw;
    }
    .item {
        font-size: 2.3vw;
        flex: 0 0 20%;
        height: 15vw;
        gap: 1.1vw;
    }
    .item-image {
        height: 5vw;
    }
    .left {
        width: 100%;
        padding: 7.031vw;
    }
    .form {
        width: 100%;
        max-width: 100%;
        gap: 3.125vw;
    }
    .form-title {
        font-size: 4.219vw;
    }
    .input {
        padding: 2.5vw;
        font-size: 3.75vw;
    }
    .checkbox {
        font-size: 2.813vw;
        gap: 3.125vw;
    }
    .submit {
        padding: 2.525vw 2vw;
        font-size: 4.688vw;
    }
    .form-terms {
        font-size: 2.813vw;
    }
    .strip {
        width: 100%;
    }
    .strip img {
        width: 85%;
    }
    .links a {
        font-size: 3.125vw;
    }
    .dialog-close { font-size: 5vw;}

    .desktop { display: none }
    .mobile { display: inherit }
}
